<?php
/*
*  Simple Grid liner for display columns in background
*  Copyright by Gergely
*  Usage: GET
*   w as line lenght value int
*   c as numbers of colls value int
*   m as left-right margin value int
*
*  return image/gif
*/

  $width = (isset($_GET['w']) ? (int)$_GET['w'] : 960);
  $cols = (isset($_GET['c']) ? (int)$_GET['c'] : 12);
  $margin = (isset($_GET['m']) ? (int)$_GET['m'] : 10);

  $im = imagecreatetruecolor($width, 1);  //set to 1px for less size
  $w  = imagecolorallocate($im, 255, 255, 255);
  $gridcolumn = imagecolorallocate($im, 199, 199, 199);
  $background = imagecolorallocate($im, 200, 200, 200);

  //960/12 - 10 = 70px ( 5px+70px+5px; )
  //(5px white + 70px red + 5px white)
  $grid = ($width/$cols) - $margin;

  // sets background to white
  imagefill($im, 0, 0, $background);

  for ($n=0; $n<($margin/2); $n++) {
    $margin_style[$n] = $w;
    if ($n==0) {
      $margin_first[$n] = $gridcolumn;
    } else {
      $margin_first[$n] = $w;
    }
    if ($n==(($margin/2)-1)) {
      $margin_last[$n] = $gridcolumn;
    } else {
      $margin_last[$n] = $w;
    }
  }

  for ($g=0; $g<$grid; $g++) {
    $grid_style[$g] = $gridcolumn;
  }

  for ($i=0; $i<$cols; $i++) {
    $style = array();
    if ($i==0) {
     //first
      $style = array_merge($style, $margin_first, $grid_style, $margin_style);
    } elseif ($i==$cols-1) {
     //last
      $style = array_merge($style, $margin_style, $grid_style, $margin_last);
    } else {
      $style = array_merge($style, $margin_style, $grid_style, $margin_style);
    }
    imagesetstyle($im, $style);
    // from x, y to x, y
    imageline($im, $i*($grid+$margin), 0, ($i+1)*($grid+$margin), 0, IMG_COLOR_STYLED);
  }

header('Content-type: image/gif');
imagegif($im);
imagedestroy($im);
?>